with GNATCOM.Dispinterface;

package MSHTML.IDOMUIEvent_Interface is

   type IDOMUIEvent_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Initialize (This : in out IDOMUIEvent_Type);

   function Pointer (This : IDOMUIEvent_Type)
     return Pointer_To_IDOMUIEvent;

   procedure Attach (This    : in out IDOMUIEvent_Type;
                     Pointer : in     Pointer_To_IDOMUIEvent);

   function Get_view
     (This : IDOMUIEvent_Type)
     return Pointer_To_IHTMLWindow2;

   function Get_detail
     (This : IDOMUIEvent_Type)
     return Interfaces.C.long;

   procedure initUIEvent
     (This       : IDOMUIEvent_Type;
      eventType  : GNATCOM.Types.BSTR;
      canBubble  : GNATCOM.Types.VARIANT_BOOL;
      cancelable : GNATCOM.Types.VARIANT_BOOL;
      view       : Pointer_To_IHTMLWindow2;
      detail     : Interfaces.C.long;
      Free       : Boolean := True);

end MSHTML.IDOMUIEvent_Interface;

